Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.encog.app.analyst.csv.process
Class AnalystProcess

    java.lang.Object
      org.encog.app.analyst.csv.basic.BasicFile
          org.encog.app.analyst.csv.process.AnalystProcess

All Implemented Interfaces:
  QuantTask

    public class AnalystProcess

extends BasicFile

Perform many different types of transformations on a CSV.

Field Summary

Fields inherited from class org.encog.app.analyst.csv.basic.BasicFile
`REPORT_INTERVAL`

Constructor Summary
`AnalystProcess(EncogAnalyst theAnalyst, int theBackwardWindowSize, int theForwardWindowSize)` Construct the object.

Method Summary
`void` | `analyze(File inputFile, boolean headers, CSVFormat format)` Analyze the neural network.
`PrintWriter` | `prepareOutputFile(File outputFile)` Prepare the output file, write headers if needed.
`void` | `process(File outputFile)` Process, and generate the output file.

Methods inherited from class org.encog.app.analyst.csv.basic.BasicFile
`appendSeparator, getColumnCount, getFormat, getInputFilename, getInputHeadings, getPrecision, getRecordCount, getReport, getReportInterval, getScript, isAnalyzed, isExpectInputHeaders, isProduceOutputHeaders, performBasicCounts, readHeaders, reportDone, reportDone, requestStop, resetStatus, setAnalyzed, setColumnCount, setExpectInputHeaders, setInputFilename, setInputFormat, setInputHeadings, setPrecision, setProduceOutputHeaders, setRecordCount, setReport, setReportInterval, setScript, shouldStop, toString, updateStatus, updateStatus, validateAnalyzed, writeRow`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AnalystProcess

    public AnalystProcess(EncogAnalyst theAnalyst,
                          int theBackwardWindowSize,
                          int theForwardWindowSize)

  Construct the object.

Method Detail

### analyze

    public void analyze(File inputFile,
                        boolean headers,
                        CSVFormat format)

  Analyze the neural network.

  Parameters:
    `inputFile` - The input file.
    `headers` - True, if there are headers.
    `format` - The format of the CSV file.

### prepareOutputFile

    public PrintWriter prepareOutputFile(File outputFile)

  Prepare the output file, write headers if needed.

  Overrides:
    `prepareOutputFile` in class `BasicFile`
  Parameters:
    `outputFile` - The name of the output file.
  Returns:
    The output stream for the text file.

### process

    public void process(File outputFile)

  Process, and generate the output file.

  Parameters:
    `outputFile` - The output file.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2014. All Rights Reserved.